Index Page ckopn_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void ckopn_c (  ConstSpiceChar   * fname,
                       ConstSpiceChar   * ifname,
                       SpiceInt           ncomch,
                       SpiceInt         * handle  )

#### Abstract

       Open a new CK file, returning the handle of the opened file.

#### Required_Reading

       None.

#### Keywords

       CK

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       fname      I   The name of the CK file to be opened.
       ifname     I   The internal filename for the CK.
       ncomch     I   The number of characters to reserve for comments.
       handle     O   The handle of the opened CK file.

#### Detailed_Input

       fname    The name of the CK file to be opened.

       ifname   The internal filename for the CK file that is being
                created. The internal filename may be up to 60 characters
                long. If you do not have any conventions for tagging your
                files, an internal filename of "CK_file" is perfectly
                acceptable. You may also leave it blank if you like.

       ncomch   This is the space, measured in characters, to be
                initially set aside for the comment area when a new CK
                file is opened. The amount of space actually set aside
                may be greater than the amount requested, due to the
                manner in which comment records are allocated in an CK
                file. However, the amount of space set aside for comments
                will always be at least the amount that was requested.

                The value of ncomch should be greater than or equal to
                zero, i.e., 0 <= ncomch. A negative value, should one
                occur, will be assumed to be zero.

#### Detailed_Output

       handle   The handle of the opened CK file. If an error occurs the
                value of this variable will not represent a valid handle.

#### Parameters

        None.

#### Exceptions

       1) If the value of ncomch is negative, a value of zero will
          be used for the number of comment characters to be set aside
          for comments.

       2) If an error occurs while attempting to open a CK file the
          value of handle will not represent a valid file handle.

#### Files

        See fname and handle.

#### Particulars

       Open a new CK file, reserving room for comments if requested.

#### Examples

       Suppose that you want to create a new CK file called "new.ck"
       that contains a single type 3 CK segment and has room for at
       least 5000 comment characters. The following code fragment should
       take care of this for you, assuming that all of the variables
       passed to the CK type 3 segment writer have appropriate values.

          fname  = "new.ck";
          ifname = "Test CK file";

          ckopn_c ( fname,   ifname,  5000,    &handle );

          ckw03_c ( handle,  begtim,  endtim,  inst,
                    ref,     avflag,  segid,   nrec,
                    sclkdp,  quats,   avvs,    nints,  starts );

          ckcls_c ( handle );

#### Restrictions

       None.

#### Literature_References

       None.

#### Author_and_Institution

       N.J. Bachman      (JPL)
       K.R. Gehringer    (JPL)

#### Version

       -CSPICE Version 1.1.1, 09-NOV-2006 (NJB)

           Header comments indicating that `ncomch' is ignored have
           been deleted.

       -CSPICE Version 1.1.0, 08-FEB-1998 (NJB)

           References to C2F_CreateStr_Sig were removed; code was
           cleaned up accordingly.  String checks are now done using
           the macro CHKFSTR.

       -CSPICE Version 1.0.0, 25-OCT-1997 (NJB)

          Based on SPICELIB Version 1.0.0, 26-JAN-1995 (KRG)

#### Index_Entries

       open a new ck file

#### Link to routine ckopn_c source file ckopn_c.c

    Wed Apr  5 17:54:29 2017